Label

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jxl.write
Class Label

    java.lang.Object
      jxl.biff.RecordData
          jxl.biff.WritableRecordData
              jxl.write.biff.CellValue
                  jxl.write.biff.LabelRecord
                      jxl.write.Label

All Implemented Interfaces:
  jxl.biff.ByteData, Cell, LabelCell, WritableCell

    public class Label

extends jxl.write.biff.LabelRecord
implements WritableCell, LabelCell

A cell containing text which may be created by user applications

Constructor Summary
`Label(int c, int r, java.lang.String cont)` Creates a cell which, when added to the sheet, will be presented at the specified column and row co-ordinates and will contain the specified text
`Label(int c, int r, java.lang.String cont, CellFormat st)` Creates a cell which, when added to the sheet, will be presented at the specified column and row co-ordinates and will present the specified text in the manner specified by the CellFormat parameter
`Label(LabelCell lc)` Constructor used internally by the application when making a writable copy of a spreadsheet being read in

Method Summary
`WritableCell` | `copyTo(int col, int row)` Implementation of the deep copy function
`void` | `setString(java.lang.String s)` Sets the string contents of this cell

Methods inherited from class jxl.write.biff.LabelRecord
`getContents, getData, getString, getType`

Methods inherited from class jxl.write.biff.CellValue
`addCellFeatures, getCellFeatures, getCellFormat, getColumn, getRow, getSheet, getWritableCellFeatures, isHidden, removeCellFeatures, removeComment, removeDataValidation, setCellFeatures, setCellFormat`

Methods inherited from class jxl.biff.WritableRecordData
`getBytes`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface jxl.write.WritableCell
`getWritableCellFeatures, setCellFeatures, setCellFormat`

Methods inherited from interface jxl.LabelCell
`getString`

Methods inherited from interface jxl.Cell
`getCellFeatures, getCellFormat, getColumn, getContents, getRow, getType, isHidden`

Constructor Detail

### Label

    public Label(int c,
                 int r,
                 java.lang.String cont)

  Creates a cell which, when added to the sheet, will be presented at the specified column and row co-ordinates and will contain the specified text

  Parameters:
    `c` - the column
    `cont` - the text
    `r` - the row

### Label

    public Label(int c,
                 int r,
                 java.lang.String cont,
                 CellFormat st)

  Creates a cell which, when added to the sheet, will be presented at the specified column and row co-ordinates and will present the specified text in the manner specified by the CellFormat parameter

  Parameters:
    `c` - the column
    `cont` - the data
    `r` - the row
    `st` - the cell format

### Label

    public Label(LabelCell lc)

  Constructor used internally by the application when making a writable copy of a spreadsheet being read in

  Parameters:
    `lc` - the label to copy

Method Detail

### setString

    public void setString(java.lang.String s)

  Sets the string contents of this cell

  Overrides:
    `setString` in class `jxl.write.biff.LabelRecord`
  Parameters:
    `s` - the new data

### copyTo

    public WritableCell copyTo(int col,
                               int row)

  Implementation of the deep copy function

  Specified by:
    `copyTo` in interface `WritableCell`
  Parameters:
    `col` - the column which the new cell will occupy
    `row` - the row which the new cell will occupy
  Returns:
    a copy of this cell, which can then be added to the sheet

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD